cURL
curl --request GET \
--url https://api.example.com/api/v1/persons/{personId}/time-bookingsimport requests
url = "https://api.example.com/api/v1/persons/{personId}/time-bookings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/persons/{personId}/time-bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"personId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"days": [
{
"date": "2023-12-25",
"targetTime": 123,
"bookedTime": 123,
"chargeableTime": 123,
"bookings": [
{
"time": "2023-11-07T05:31:56Z",
"key": "<string>"
}
]
}
]
}Time
Person - Time Bookings
GET
/
api
/
v1
/
persons
/
{personId}
/
time-bookings
cURL
Path Parameters
Response
200 - application/json
OK
Time Bookings grouped by day (Formerly timeAccountDays)
Time bookings have their own unit, but the daily totals are always in hours and minutes. The decimal part corresponds to minutes. For example, 90 minutes is displayed as 1.30.
Show child attributes
Show child attributes
Was this page helpful?
⌘I